%global pypi_name jsonschema

Name:           python-%{pypi_name}
Version:        4.23.0
Release:        %mkrel 3
Summary:        An implementation of JSON Schema validation for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/jsonschema
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
jsonschema is JSON Schema validator currently based on
http://tools.ietf.org/html/draft-zyp-json-schema-03

%package -n python3-%{pypi_name}
Summary:	An implementation of JSON Schema validation for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
jsonschema is JSON Schema validator currently based on
http://tools.ietf.org/html/draft-zyp-json-schema-03

%pyproject_extras_subpkg -n python3-%{pypi_name} format format-nongpl

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
# don't clean %%{python3_sitelib}/jsonschema/schemas/vocabularies/*/core
export DONT_CLEANUP=1
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/jsonschema


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.23.0-3.mga10
+ Revision: 2236807
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 4.23.0-2.mga10
+ Revision: 2150897
- rebuild for python3.13
- new version 4.23.0

* Mon Dec 25 2023 wally <wally> 4.20.0-1.mga10
+ Revision: 2021473
- new version 4.20.0
- use %%pyproject_buildrequires

* Mon Dec 04 2023 papoteur <papoteur> 4.19.1-1.mga10
+ Revision: 2013146
- new 4.19.1

* Sun Jan 15 2023 wally <wally> 4.17.3-1.mga9
+ Revision: 1933384
- new version 4.17.3

* Thu Sep 29 2022 neoclust <neoclust> 4.16.0-1.mga9
+ Revision: 1893390
- New version 4.16.0

* Mon Sep 05 2022 neoclust <neoclust> 4.15.0-1.mga9
+ Revision: 1884287
- New version 4.15.0

* Wed Aug 10 2022 wally <wally> 4.9.1-3.mga9
+ Revision: 1876636
- revert to correctly working r1876541
- restore python3-jsonschema pkg to follow our python pkg naming conventions

* Wed Aug 10 2022 bcornec <bcornec> 4.9.1-2.mga9
+ Revision: 1876605
- Update python-jsonschema to 4.9.1 for molecule deps

* Tue Aug 09 2022 wally <wally> 4.9.1-1.mga9
+ Revision: 1876541
- add format and format-nongpl pyproject extras subpkg
- new version 4.9.1
- switch build to pyproject RPM macros

* Thu Mar 24 2022 umeabot <umeabot> 3.2.0-6.mga9
+ Revision: 1824751
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 3.2.0-5.mga9
+ Revision: 1774605
- rebuild for python-3.10

* Sat Feb 12 2022 neoclust <neoclust> 3.2.0-4.mga9
+ Revision: 1773297
- Rebuild against python 3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 3.2.0-3.mga9
+ Revision: 1708219
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1539712
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1466051
- new version: 3.2.0

* Sun Sep 15 2019 tv <tv> 3.0.2-2.mga8
+ Revision: 1441424
- rebuild for python-3.8
- drop python2 subpkg

* Sat Aug 03 2019 daviddavid <daviddavid> 3.0.2-1.mga8
+ Revision: 1427105
- new version: 3.0.2
- make Python3 as the default binary

* Tue May 28 2019 zezinho <zezinho> 3.0.1-2.mga7
+ Revision: 1399321
- The 'functools32' distribution was not found and is required by jsonschema

* Fri Apr 19 2019 wally <wally> 3.0.1-1.mga7
+ Revision: 1393475
- new version 3.0.1

* Tue Jan 08 2019 tv <tv> 2.6.0-3.mga7
+ Revision: 1351630
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.6.0-2.mga7
+ Revision: 1289160
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 2.6.0-1.mga7
+ Revision: 1236991
- new version: 2.6.0
- rename python-jsonschema to python2-jsonschema

* Sat Aug 05 2017 pterjan <pterjan> 2.5.1-3.mga7
+ Revision: 1135471
- Rebuild for python 3.6

* Sat Apr 16 2016 philippem <philippem> 2.5.1-2.mga6
+ Revision: 1003110
- avoid dependency on functools32, vcversioner

* Sat Apr 16 2016 philippem <philippem> 2.5.1-1.mga6
+ Revision: 1003067
- update to 2.5.1

* Fri Feb 19 2016 umeabot <umeabot> 2.4.0-2.mga6
+ Revision: 970582
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 2.4.0-1.mga6
+ Revision: 887224
- rebuild for python 3.5
- use new python macros
- add missing BuildRequires on python-setuptools
+ joequant <joequant>
- upgrade to 2.4.0

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-6.mga6
+ Revision: 743130
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.0-5.mga5
+ Revision: 728873
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 688102
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1.0-3.mga5
+ Revision: 628728
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 545017
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 2.1.0-1.mga4
+ Revision: 500637
- Update to 2.1.0, add Python 3

* Tue Oct 15 2013 pterjan <pterjan> 0.7-3.mga4
+ Revision: 498791
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 379031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 neoclust <neoclust> 0.7-1.mga3
+ Revision: 340229
- New version

* Sun Nov 04 2012 neoclust <neoclust> 0.2-2.mga3
+ Revision: 314212
- imported package python-jsonschema


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Pádraig Brady <P@draigBrady.com> - 0.2-1
- Initial package.
